---

- name: Read the contents of ~/.exrc
  slurp:
    src: "{{ ansible_env.HOME }}/.exrc"
  register: exrc_file_content
  failed_when: false
  tags: 
    - exrc

- name: Delete the ~/.exrc file if it is empty
  file:
    path: "{{ ansible_env.HOME }}/.exrc"
    state: absent
  when: 
    - exrc_file_content is defined
    - exrc_file_content.content is defined
    - exrc_file_content.content | b64decode | trim == ""
  tags: 
    - exrc